Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 195819 - >=x11-drivers/xf86-video-i810-2.0.0 crash when playing video
Summary: >=x11-drivers/xf86-video-i810-2.0.0 crash when playing video
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High critical (vote)
Assignee: Rémi Cardona
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-14 11:21 UTC by Cédric Krier
Modified: 2008-03-11 09:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Krier gentoo-dev 2007-10-14 11:21:00 UTC
Xorg crashes with this error message:

Fatal server error:
Bad channel value 1282513580

XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 6448 requests (6448 known processed) with 0 events remaining.
xinit:  connection to X server lost.

waiting for X server to shut down 



Reproducible: Always




Portage 2.1.3.9 (hardened/x86/2.6, gcc-3.4.6, glibc-2.5-r4, 2.6.20-hardened-r10-mactel i686)
=================================================================
System uname: 2.6.20-hardened-r10-mactel i686 Intel(R) Core(TM)2 CPU T7200 @ 2.00GHz
Timestamp of tree: Sat, 13 Oct 2007 19:50:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.22-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distcc distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/pythonhead /usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X alsa bash-completion berkdb bindist bzip2 cdr cracklib crypt cups dri dvd dvdread gtk hardened ipv6 jpeg lirc logrotate midi mmx motif mpeg nls nptl nptlonly opengl pam pic png readline sdl sse sse2 ssl svg threads truetype unicode urandom v4l2 vim-syntax win32codecs x86 xcb xorg zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="devinput" USERLAND="GNU" VIDEO_CARDS="i810"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Rémi Cardona gentoo-dev 2008-01-24 13:36:03 UTC
I've just added a snapshot of the upcoming 2.2.1 release, as upstream wants more testing before making official releases. It contains quite a few Xv patches, hopefully your issue should be fixed.

Please try this snapshot on top of xorg-server 1.4.0.90. If it isn't fixed, please open a bug in freedesktop's bugzilla [1] and paste the url here.

Thanks

[1] https://bugs.freedesktop.org/
Comment 2 Cédric Krier gentoo-dev 2008-01-24 23:23:03 UTC
Always crash, I submit a bug on freedesktop

https://bugs.freedesktop.org/show_bug.cgi?id=14237
Comment 3 Rémi Cardona gentoo-dev 2008-01-25 09:07:55 UTC
Thanks for the quick test :)

I see in the upstream bug that you're still using xorg-server 1.3.0. You may want to try with 1.4.0.90 (you'll need to rebuild your x11-drivers/* packages).

I'll CC myself on the upstream bug to follow it closely.
Comment 4 Cédric Krier gentoo-dev 2008-01-26 14:17:07 UTC
I try 1.4.0.90 but doesn't solve the problem
Comment 5 Cédric Krier gentoo-dev 2008-03-03 11:57:07 UTC
I find the problem. It is when the driver is compiled with an hardened gcc. When I switch to i686-pc-linux-gnu-3.4.6-hardenednopiessp, it works well.
I inform upstream as soon that her bugzilla is back online
Comment 6 Rémi Cardona gentoo-dev 2008-03-11 06:29:47 UTC
Thanks for the follow up. I saw that upstream closed the bug too, let me know if you report anything to upstream gcc or another herd.

Cheers
Comment 7 Cédric Krier gentoo-dev 2008-03-11 09:20:07 UTC
No, I don't know who I must report.
I'm not very involved about the pie and ssp that comes with hardened profile.